# Adaptive Streaming Use Case Scenario

## Infrastructure Slice

### *compute_node_config*

| compute_node_config | slice | location | comp_node | cpu | memory | storage | timestamp |
| --- | --- | --- | --- | --- | --- |--- | --- |
| compute_node_config | SLICE1 | locA | dc1 | 4 | 8 | 16 | 1515583926868000000 |
| compute_node_config | SLICE1 | locB | dc2 | 8 | 16 | 64 | 1515583926868000000 |
| compute_node_config | SLICE1 | locC | dc3 | 48 | 128 | 4000 | 1515583926868000000 |

### *network_config*

| network_config | slice | network | bandwidth | timestamp |
| --- | --- | --- | --- | --- | --- |--- | 
| network_config | SLICE1 | data1 | 100 | 1515583926868000000 |

__How do we describe network configuration ?__
__What is a format of an infrastructure slices ?__
__What is the relevant information ?__

### *network_interface_config*

| network_interface_config | slice | comp_node | port | network | rx_constraint | tx_constraint | timestamp |
| --- | --- | --- | --- | --- | --- |--- |--- | 
| network_config | SLICE1 | dc1 | enps03 | data1 | 1000 | 1000 | 1515583926868000000 |
| network_config | SLICE1 | dc2 | enps03 | data1 | 1000 | 1000 |  1515583926868000000 |
| network_config | SLICE1 | dc3 | enps03 | data1 | 1000 | 1000 |  1515583926868000000 |

## NAP

### ipendpoint_route

| ipendpoint_route | location | ipendpoint_id | cont_nav | avg_http_requests_fqdn_rate | avg_network_fqdn_latency | time |
| --- | --- | --- | --- | --- | --- | --- |
| ipendpoint_route | \<common tags> | DC1 | ipendpoint1 | http://netflix.com/scream | 386, | 50 | 1515583926868000000 |

## Media Service 

There are various aggregated metrics we can calculate but in the use case scenario we postpone that till later.

### sfc_instance_config

`sfc_i_config,<common_tags>,state <fields> timestamp`

### sf_i_config

`sf_i_config,<common_tags>,state <fields> timestamp`

## IPEndpoint

All IPEndpoint measurements have the following global tags injected by a configured Telegraf agent

* location
* compute_node
* sfc
* sfc_i
* sf
* sfc_i
* ipendpoint

Also NOTE: the metrics provided in the measurements below are effectively a 'snapshot' of usage over a relatively small period of time. The length of this snapshot may vary, depending on the underlying implementation of the instrumentation, so we might have to assume this snapshot is essentially an average of a period of 1 second. Measuring 'usage' is dependent on the units, for example as a proportion of a resource or as a proportion of time.

### ipendpoint_config

| ipendpoint_config | location | sfc | sfc_i | sf | sf_i | ipendpoint | state | cpu| memory | storage |timestamp |
| --- | --- | --- | --- | --- | --- |--- | --- | --- |  --- |  --- |  --- | 
| ipendpoint_config | dc1 | MediaServiceTemplate | MediaServiceA | AdaptiveStreamingComp | AdaptiveStreamingComp1 | ipendpoint1 | placed | 2 | 4 | 16 | 1515583926868000000 |
| ipendpoint_config | dc2 | MediaServiceTemplate | MediaServiceA | AdaptiveStreamingComp | AdaptiveStreamingComp1 | ipendpoint2 | placed | 8 | 16 | 64 | 1515583926868000000 |
| ipendpoint_config | dc3 | MediaServiceTemplate | MediaServiceA | AdaptiveStreamingComp | AdaptiveStreamingComp1 | ipendpoint3 | placed | 48 | 128 | 4000 | 1515583926868000000 |
| ipendpoint_config | dc1 | MediaServiceTemplate | MediaServiceA | AdaptiveStreamingComp | AdaptiveStreamingComp1 | ipendpoint1 | booted | 2 | 4 | 16 | 1515583926868000000 |
| ipendpoint_config | dc2 | MediaServiceTemplate | MediaServiceA | AdaptiveStreamingComp | AdaptiveStreamingComp1 | ipendpoint2 | booted | 8 | 16 | 64 | 1515583926868000000 |
| ipendpoint_config | dc3 | MediaServiceTemplate | MediaServiceA | AdaptiveStreamingComp | AdaptiveStreamingComp1 | ipendpoint3 | booted | 48 | 128 | 4000 | 1515583926868000000 |

### cpu_usage

| cpu_usage | \<common tags> | cpu | avg_cpu_time_user | avg_cpu_time_idle | timestamp |
| --- | --- | --- | --- | --- |--- |
| cpu | \<common tags> | 1 | 40 | 5 | 1515583926868000000 |

### net_port_io

| net_port_io | \<common tags> | avg_packet_drop_rate | avg_packet_error_rate | rx_bytes_port_m | rx_packets_m | tx_bytes_port_m | tx_packets_port_m | timestamp |
| --- | --- | --- | --- | --- | --- | --- | --- | --- |
| net_port_io | \<common tags> | 0.3 | 0.1 | 13567 | 768 | 8102 | 356 | 1515583926868000000 |

### mpegdash_service

| mpegdash_service_mon | \<common tags> | cont_nav | cont_rep | user_profile |avg_req_rate | avg_resp_time | peak_resp_time | avg_error_rate | avg_throughput | avg_quality_delivered | avg_startup_delay | avg_dropped_segments |  timestamp |
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- |--- |
| mpegdash_service_mon | \<common tags> | http://netflix.com/scream | h264 | profileA | 10 | 40 | 230 | 0.2 | 200 | | 5 | 1200 | 2 | 1515583926868000000 |


